Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class Price2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.Price2

    public class Price2
    extends java.lang.Object

Java class for Price2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Price2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}YieldedOrValueType1Choice"/>
             <element name="Val" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}PriceRateOrAmountChoice"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected YieldedOrValueType1Choice` `tp`
`protected PriceRateOrAmountChoice` `val`

### Constructor Summary

Constructors
`Price2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`YieldedOrValueType1Choice` `getTp()` Gets the value of the tp property.
`PriceRateOrAmountChoice` `getVal()` Gets the value of the val property.
`void` `setTp​(YieldedOrValueType1Choice value)` Sets the value of the tp property.
`void` `setVal​(PriceRateOrAmountChoice value)` Sets the value of the val property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected YieldedOrValueType1Choice tp

#### val

    protected PriceRateOrAmountChoice val

### Constructor Detail

#### Price2

    public Price2()

### Method Detail

#### getTp

    public YieldedOrValueType1Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `YieldedOrValueType1Choice`

#### setTp

    public void setTp​(YieldedOrValueType1Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `YieldedOrValueType1Choice`

#### getVal

    public PriceRateOrAmountChoice getVal()

Gets the value of the val property.

Returns:
  possible object is `PriceRateOrAmountChoice`

#### setVal

    public void setVal​(PriceRateOrAmountChoice value)

Sets the value of the val property.

Parameters:
  `value` - allowed object is `PriceRateOrAmountChoice`